petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMGetOptionsPrefix

Gets the prefix used for searching for all DM options in the database.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode  DMGetOptionsPrefix(DM dm,const char *prefix[])

Not Collective

### Input Parameters

dm -the DM context

### Output Parameters

prefix -pointer to the prefix string used is returned

### Notes

On the fortran side, the user should pass in a string 'prefix' of sufficient length to hold the prefix.

### Keywords

DM, set, options, prefix, database

### See Also

DMSetOptionsPrefix(), DMAppendOptionsPrefix()

### Level

advanced

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages